#pragma once

class CloseVertInfo
{
public:
	CloseVertInfo(void);

	void Reset(void);

	bool IsValidSelect(void) const;

	int GetClosestObjectIdx(void) const
	{
		return m_ClosestObj;
	}

	int GetClosestVid(void) const
	{
		return m_ClosestVid;
	}

	void SetIndex(int obj_idx, int vert_idx)
	{
		m_ClosestObj = obj_idx;
		m_ClosestVid = vert_idx;
	}

private:
	int m_ClosestObj;
	int m_ClosestVid;
};
